
 LinHES - Bug # 902: Using a Seperate blaster and receiver doesn't always work

Status: Closed Priority: Normal
Author: jams Category: Other
Created: 01/31/2013 Assignee: jams
Updated: 02/04/2013 Due date:
Description: For a blaster to work it must be the first in the lirc chain.

Need to redo the remotes init script so that if the blaster is defined it's the first in the chain, and all others are 
linked into it.

Associated revisions
01/31/2013 05:59 pm - jams
linhes-udev-rules:  add rules for mce,streamzap,serial  lirc devices.

refs #902
refs #884

02/01/2013 01:07 pm - jams
runit-scripts:  fix logging for igdeamon,   add support to remote init script so that the blaster is always the first device in the chain.
added support specificly for hd_pvr

refs #902
res #902

02/01/2013 01:08 pm - jams
linhes-udev-rules:  added hdprv_lirc rule.
All of these lirc rules are limited to exactly one device.  If more then one device is present then only the last device in init will get the symlink

refs #884
refs #902

02/01/2013 01:09 pm - jams
zilog-firmware:   firmware for TX support of the hdpvr and pvr-150
In general I can't recommend anybody using these transmitters  but including the firmware just in case someone really wants to

refs #902

02/01/2013 01:10 pm - jams
LinHES-config, mythinstall:  change  case of hd_pvr and   serial to all lower
refs #902

02/19/2013 01:10 pm - jams
Merge branch 'testing'

# By James Meyer (1091) and others
# Via James Meyer (5) and others
* testing: (1148 commits)
  LinHES-config: during install don't kill off lirc.  This keeps the remote active all the way to the finish
  Change version numbers to 8.0  to match the release number. LinHES-conifg LinHES-system mythdb-initial runit-scripts supplemental-web
  LinHES-conifig: mv_install.py  for the last partition don't go all the way to the end.  Gotta leave room for gpt tables.
  xf86-video-ati: xorg ati driver.
  LinHES-config: timezip.py  add syncing up of parental lvl passwords and starting level with MBE.

07/07/2025 1/2



  LinHES-system: correct the logic for breaking out of the wmctrl loop.   As written it would break out of the inner loop..but not the 60 iteration loop.
  e16_theme_settings:  remove slide-in prop for new windows.   For whatever reason this was preventing mplayer from being positioned correctly for 
appletrailers.
  LinHES-config, mythinstall:  change  case of hd_pvr and   serial to all lower refs #902
  zilog-firmware:   firmware for TX support of the hdpvr and pvr-150 In general I can't recommend anybody using these transmitters  but including the 
firmware just in case someone really wants to
  linhes-udev-rules:  added hdprv_lirc rule. All of these lirc rules are limited to exactly one device.  If more then one device is present then only the last 
device in init will get the symlink
  runit-scripts:  fix logging for igdeamon,   add support to remote init script so that the blaster is always the first device in the chain. added support 
specificly for hd_pvr
  LinHES-system:   add lh_system_restore and lh_system_backup.  These scripts are called from the mythmenu. refs #900
  iguanair: rebuild with python 2.7
  LinHES-system: msg_daemon.py fix  init and nasty bug related to timeout. In a nutshell timeout wouldn't work unless a msg without a timeout was 
called first.
  linhes-udev-rules:  add rules for mce,streamzap,serial  lirc devices.
  mythinstall: recompile for matching libs
  mythtv:  latest .25-fixes  and change mythbackup/restore call lh_system_$op   to replace mythbackup/mythrestore.  mythbackup no longer works 
correctly with the new windowmanager
  linhes-scripts: myth2mp3, myth2x264, myth2xvid: use mythutil to get cutlist
  LinHES-config, supplimental-web:  Fix proxy numbering for Ceton infiniTV
  linhes-system:  add additional stuff to the system backup and also introduced an exclude file. The exclude/include files are locate in 
/home/mythtv/backup_config/
  ...

History
02/04/2013 10:21 am - jams
- Status changed from In Progress to Closed

Added udev rules and changed the logic of the runit script.
If a blaster is defined it will be set as the first in the chain, and the controlling lircd process.
